Skip to main content
GET
/
api
/
migration
/
data-migration
/
runs
/
{run_id}
/
status
Poll run status with task progress
curl --request GET \
  --url https://api.example.com/api/migration/data-migration/runs/{run_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "status_message": "<string>",
  "dag_run_id": "<string>",
  "dag_run_ids": [
    "<string>"
  ],
  "active_dag": "<string>",
  "tasks_total": 123,
  "tasks_success": 123,
  "tasks_failed": 123,
  "tasks_running": 123,
  "tasks_queued": 123,
  "tasks_up_for_retry": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

run_id
string<uuid>
required

Run ID.

Response

Successful Response

Lightweight polling status response.

run_id
string<uuid>
required
status
string
required
status_message
string | null
dag_run_id
string | null
dag_run_ids
string[]
active_dag
string | null
tasks_total
integer | null
tasks_success
integer | null
tasks_failed
integer | null
tasks_running
integer | null
tasks_queued
integer | null
tasks_up_for_retry
integer | null